​

Delete iteration

DELETE
https://example.kaiten.ru/api/latest/spaces/{space_uid}/iterations/{id}

Deletes an iteration. Links to cards that were part of the iteration are deleted too and cannot be restored. The iteration gets the removed status. The deleted iteration is returned in the response.

Path parameters
NameTypeReference
space_uidrequiredstringSpace UID
idrequiredstringIteration ID
Headers
NameValue
AuthorizationBearer <token>
Content-Typeapplication/json
Attributes
schema
NameTypeConstraintsDescription
new_iteration_id
string | null

ID of the iteration to move cards to when this iteration is removed. Must belong to the same space and have the planned or active status

Responses

200
DescriptionResponse typeExample
SuccessObject
Open
Response Attributes
NameTypeDescription
id

string

Iteration ID (UUID)
space_uid

string

UID of the space the iteration belongs to
title

string

Iteration title
goal

string | null

Iteration goal
status

string

Iteration status, removed after deletion
creator_uid

string

UID of the user who created the iteration
updater_uid

string

UID of the user who last updated the iteration
start_date

string | null

Start date, ISO 8601 format
finish_date

string | null

Planned finish date, ISO 8601 format
actual_finish_date

string | null

Actual finish date, ISO 8601 format
sort_order

number

Sort order of the iteration within the space
data

object | null

Cached iteration statistics preserved from the iteration state before removal
moved_cards

array of objects | null

Schema
Cards moved to new_iteration_id, or null when no cards were moved
created

string

Creation timestamp
updated

string

Last update timestamp
400
DescriptionResponse typeExample
Invalid new_iteration_id: same as the removed iteration (code 3), belongs to another space (code 4), or is not planned or active (code 5)Object
Open
Response Attributes
NameTypeDescription
code

number

Numeric error code, present for business-rule violations
message

string

Error message
401
DescriptionResponse typeExample
Invalid tokenString
Open

A schema has not been defined for this response code.

402
DescriptionResponse typeExample
Feature is not supported by tariffObject
Open
Response Attributes
NameTypeDescription
message

string

Error message
403
DescriptionResponse typeExample
ForbiddenResponse body does not exist

A schema has not been defined for this response code.

404
DescriptionResponse typeExample
Iteration not foundResponse body does not exist

A schema has not been defined for this response code.

logo
Kaiten
If you have any questions or need help with integration feel free to write us at support@kaiten.ru

Path Parameters

  1  curl --request DELETE \
  2       --url 'https://example.kaiten.ru/api/latest/spaces/{space_uid}/iterations/{id}' \
  3       --header 'Accept: application/json' \
  4       --header 'Content-Type: application/json'
  5      

Response

ClickTry It!to start a request and see the response here!